Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354228 - Build a version of ATLAS with 64-bit integers
Summary: Build a version of ATLAS with 64-bit integers
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: atlas
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Martisko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1082507
TreeView+ depends on / blocked
 
Reported: 2016-07-11 00:32 UTC by Susi Lehtola
Modified: 2018-02-20 15:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Susi Lehtola 2016-07-11 00:32:19 UTC
BLAS and LAPACK routines use Fortran INTEGERs. These can either be 4 bytes (i.e. 32-bit) or 8 bytes (64-bit). Using 4 byte integers induces a 2 GB maximum size limit to arrays.

Because this is a compile time choice that needs to be matched in programs that link to BLAS/LAPACK routines, the reference BLAS and LAPACK packages as well as OpenBLAS are built both in 32-bit and 64-bit versions.

We need a 64-bit integer version of ATLAS as well, since OpenBLAS isn't available on all architectures / cpus.

Comment 1 Jan Kurik 2016-07-26 04:17:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Fedora Admin XMLRPC Client 2017-05-29 11:10:16 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora End Of Life 2017-11-16 18:44:57 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2018-02-20 15:24:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.


Note You need to log in before you can comment on or make changes to this bug.